Micro-Surveys & NPS
Dispatch survey invitation SMS
POST
Generates a unique short token, deducts SMS segments + service surcharge, and sends SMS invitation with responsive web link.
header
X-Api-Key<token>SMS Pro API Key (sk_live_... or sk_test_...)
application/json- body
surveyId?stringFormat
uuidtitle?stringrecipient*stringsenderId?stringcustomMessage?stringSurvey invitation dispatched
application/json- response
status?stringmessage?stringcurl -X POST 'https://api.smspro.com/api/v1/public/surveys/send' \ -H 'Content-Type: application/json' \ -d '{ "recipient": "string"}'Example Response
{ "status": "string", "message": "string"}